Установка Asterisk

Какая версия Asterisk проще в установке?

Многие эксперты в области настройки Asterisk предпочитают работать со старыми и проверенными версиями этой популярной IP АТС. Наша компания не поддерживает такой подход. Мы рекомендуем устанавливать только свежие релизы Asterisk (1.8 и 10.0). В них решены многие проблемы и устранены ошибки прежних редакций Asterisk. Настраивать новые версии проще.

Asterisk 1.6 настраивается немного сложнее, поскольку в нем отсутствуют многие полезные функции из новых релизов. Еще менее функциональна версия 1.4. Вместе с тем, значительная часть VoIP оборудования хорошо работает именно со старыми редакциями Asterisk. А некоторые VoIP шлюзы и GSM VoIP шлюзы могут не поддерживать свежие версии Asterisk (такие как Asterisk 1.8, Asterisk 10.0). Поэтому в рамках техподдержки наши специалисты при необходимости установят более старую версию Asterisk.

Однако следует помнить: без крайней необходимости понижать версию Asterisk нежелательно. Этим Вы не только лишаете систему значительной части функционала (например, возможностей по интеграции с CRM системами). Но и добавляете ряд программных ошибок, которые были устранены в новых версиях. И, конечно, снижаете уровень безопасности VoIP телефонии (защиту от взлома).